# ResolvedArtifact

interface ResolvedArtifact

Information about a resolved artifact.

## Functions

getClassifier
Link copied to clipboard
@Nullable
abstract fun getClassifier(): @Nullable String
getExtension
Link copied to clipboard
@Nullable
abstract fun getExtension(): @Nullable String
getFile
Link copied to clipboard
abstract fun getFile(): File
Returns the local file for this artifact.
getId
Link copied to clipboard
abstract fun getId(): ComponentArtifactIdentifier
getModuleVersion
Link copied to clipboard
abstract fun getModuleVersion(): ResolvedModuleVersion
Returns the module which this artifact belongs to.
getName
Link copied to clipboard
abstract fun getName(): String
getType
Link copied to clipboard
abstract fun getType(): String